nxt

## Class Appendix.Message

- java.lang.Object
- - nxt.Appendix.AbstractAppendix
  - - nxt.Appendix.Message

- All Implemented Interfaces:
    Appendix
  Enclosing interface:
    Appendix

      public static class Appendix.Message
      extends Appendix.AbstractAppendix

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface nxt.Appendix

      `Appendix.AbstractAppendix, Appendix.AbstractEncryptedMessage, Appendix.Encryptable, Appendix.EncryptedMessage, Appendix.EncryptToSelfMessage, Appendix.Message, Appendix.Phasing, Appendix.Prunable, Appendix.PrunableEncryptedMessage, Appendix.PrunablePlainMessage, Appendix.PublicKeyAnnouncement, Appendix.UnencryptedEncryptedMessage, Appendix.UnencryptedEncryptToSelfMessage, Appendix.UnencryptedPrunableEncryptedMessage`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Message(byte[] message)`
    `Message(byte[] message, boolean isText)`
    `Message(java.lang.String string)`
    `Message(java.lang.String string, boolean isText)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Fee` | `getBaselineFee(Transaction transaction)`
    `byte[]` | `getMessage()`
    `boolean` | `isText()`

    - ### Methods inherited from class nxt.Appendix.AbstractAppendix

      `getBaselineFeeHeight, getFullSize, getJSONObject, getNextFee, getNextFeeHeight, getSize, getVersion, isPhased, putBytes`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface nxt.Appendix

      `hasAppendix`

- - ### Constructor Detail

    - #### Message

          public Message(byte[] message)

    - #### Message

          public Message(java.lang.String string)

    - #### Message

          public Message(java.lang.String string,
                         boolean isText)

    - #### Message

          public Message(byte[] message,
                         boolean isText)

  - ### Method Detail

    - #### getBaselineFee

          public Fee getBaselineFee(Transaction transaction)

      Specified by:
        `getBaselineFee` in interface `Appendix`
      Overrides:
        `getBaselineFee` in class `Appendix.AbstractAppendix`

    - #### getMessage

          public byte[] getMessage()

    - #### isText

          public boolean isText()